Fetchply Docs
GET
/api/v1/agents

List the agents this API key can access. Use the returned id in every per-agent endpoint. Requires the read:agents permission.

Authorization

BearerAuth read:agents
AuthorizationBearer <token>

In: header

Scope: read:agents

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/agents"
{
  "items": [
    {
      "id": "a1b2c3d4e5",
      "name": "Acme Support",
      "url": "https://acme.com",
      "status": "ready",
      "createdAt": "2026-07-01T09:30:00.000Z"
    }
  ]
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}